GNU bug report logs - #55302
[PATCH 0/4] Update wine and wine-staging to 7.8

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Liliana Marie Prikler <liliana.prikler@HIDDEN>; Keywords: patch; dated Sat, 7 May 2022 16:06:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 55302 <at> debbugs.gnu.org:


Received: (at 55302) by debbugs.gnu.org; 20 May 2022 18:16:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 14:16:56 2022
Received: from localhost ([127.0.0.1]:40073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns7BI-0004TN-Ek
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 14:16:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47728)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ns7BG-0004TA-JR
 for 55302 <at> debbugs.gnu.org; Fri, 20 May 2022 14:16:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60178)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1ns7BB-0006jz-BR; Fri, 20 May 2022 14:16:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=8i36lcZJICOgovGXpAwji2E4iXPgLYPbLreoTn8AGfw=; b=ITlw76HSXfw0TqCg2jKm
 7BFdZlRCOdbiaezQdxZ8DBPONuY8ac6aoojc+t+czxKNRyvWTZUyoC4k9oY9O17dKd0zIpmd2oG9a
 2sjwgPqx+mHLBh0JtnpU1EEgRDaPqNvwLI+9dzIOlNql9NqUyX+lDtIXJUAro+279PEAiavu4bDyj
 /UDN6R1KwPMWu3hgaqbjslNTvAZSnfdt2/YC5wovWBtHlFe5HF28sWCPl54A0SqRfkX0iJh2SmvGi
 OOoDgz+3wgHG5cQuLIzzpG4OaTAYtEap98JCvirtriHvAd/+r98/kW+FAQOfU5hxPjcDsWr0Bdxu3
 hDKwmhx+EKPUow==;
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=49384 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1ns7BA-0001SM-Ug; Fri, 20 May 2022 14:16:49 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: bug#55302: [PATCH 0/4] Update wine and wine-staging to 7.8
References: <f9d007eb923c97c8c0de42bbba8ba0d3a5ae47ed.camel@HIDDEN>
 <845c131ae30134223f213a4dd65a25f79baebc9c.camel@HIDDEN>
Date: Fri, 20 May 2022 20:16:47 +0200
In-Reply-To: <845c131ae30134223f213a4dd65a25f79baebc9c.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Sat, 7 May 2022 17:46:14 +0200")
Message-ID: <875ym0xe5s.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55302
Cc: 55302 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

Liliana Marie Prikler <liliana.prikler@HIDDEN> skribis:

>   gnu: wine: Update to 7.8.
>   gnu: wine: Use new package style.
>   gnu: wine64: Use new package style.
>   gnu: wine-staging: Update to 7.8.

I second Florian: if it works for you, go for it!

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#55302; Package guix-patches. Full text available.

Message received at 55302 <at> debbugs.gnu.org:


Received: (at 55302) by debbugs.gnu.org; 10 May 2022 09:52:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 05:52:13 2022
Received: from localhost ([127.0.0.1]:60369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noMXM-0003nt-S0
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 05:52:12 -0400
Received: from pelzflorian.de ([5.45.111.108]:45058 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1noMXI-0003nc-0a
 for 55302 <at> debbugs.gnu.org; Tue, 10 May 2022 05:52:11 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 5ECDB3605CF;
 Tue, 10 May 2022 11:52:04 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1652176324;
 bh=msGtTM81V0qgPAutUZf0cIKO6UikEYXJ+fhjZmt4VXk=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=CNtrzM82v0ppIM1CCfJx4N3PsAPl2k/FERz+q+Pk0wrA5PIPXBavZURR8CHsCsQ0b
 ETuQcrXvKIPZhP0GkAbW5Hy5gMeQffgNjSJrHOV5AjFt+rj8ZOSkbMHbNo40NK8jKZ
 4B/YP+Dgb/uhp75txV/3MiJ/JTHQHx6HJCZWISMw=
Date: Tue, 10 May 2022 11:51:55 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [bug#55302] [PATCH 0/4] Update wine and wine-staging to 7.8
Message-ID: <20220510095032.e4q6jkki4dbwxi2b@HIDDEN>
References: <f9d007eb923c97c8c0de42bbba8ba0d3a5ae47ed.camel@HIDDEN>
 <845c131ae30134223f213a4dd65a25f79baebc9c.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <845c131ae30134223f213a4dd65a25f79baebc9c.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55302
Cc: 55302 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thank you Liliana!  I have no idea what fixed 54257, but converting to
the new style LGTM and I tested not thoroughly wine and
wine64{,-staging} on x86_64.  (I see no reason why armhf should break
and aarch64 didn’t build anyway.)

Regards,
Florian




Information forwarded to guix-patches@HIDDEN:
bug#55302; Package guix-patches. Full text available.
Changed bug title to '[PATCH 0/4] Update wine and wine-staging to 7.8' from '[PATCH 0/4] *** SUBJECT HERE ***' Request was from Liliana Marie Prikler <liliana.prikler@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55302 <at> debbugs.gnu.org:


Received: (at 55302) by debbugs.gnu.org; 7 May 2022 16:11:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 12:11:34 2022
Received: from localhost ([127.0.0.1]:52779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnN1p-0006KU-NU
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 12:11:34 -0400
Received: from mail-ed1-f66.google.com ([209.85.208.66]:34523)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nnN1k-0006JV-QZ
 for 55302 <at> debbugs.gnu.org; Sat, 07 May 2022 12:11:29 -0400
Received: by mail-ed1-f66.google.com with SMTP id a21so11788226edb.1
 for <55302 <at> debbugs.gnu.org>; Sat, 07 May 2022 09:11:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=/fN99LxKFEXvxzXHR/KngBhHm0x0Wmb9YfowDUXQ+7I=;
 b=KtQlEoFrDDxOHYupbSpMuIS1lFHNAteOL2PKmUIYVAM2RAlzI6F4Jo/vvV0Sh/1A/e
 OpXbNIBt8mKqwhI+s6jPVAvyE/KYyQGeN1irqGm8/6EDt80OwXh46wivzWtQ6f/1k5oJ
 4UIRNo95OtT+72pBNMdcEhrFbDpVgWrkSvvvk9/qR1pfTUAHxPM25Rx/yZLyt9ER5tH7
 UEwZiPqEW8WGP+NFiTTVGN2n7DGFzeD7vNC01L4XwS/UNGYdOXer64OtT66EnQ8+VjHU
 7l4RzSqHkSIv7KLhDvj7YY0JkayQMGGY1KDgk6MHKP1SmaoXZjZF98kMRQX94TwOxawR
 GoTg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=/fN99LxKFEXvxzXHR/KngBhHm0x0Wmb9YfowDUXQ+7I=;
 b=etl9djzwnwhwxCpBGkCxy6AR9A1MAMNoYPmddPcxgd/HKEgRIQnzHEPoNNcU1j1g9R
 yOo7YVWukqR7ghU4rIQZo3NWPkjho2qyPWQJ/9s59FjIVTArYA3ALgwwLAmnSfqybwfa
 HNzSNeSTxmKUePP64vromi5m0ijf6fugHnRK30Udax1UyVJi2QXLghH268Uia57o8qr6
 CfMyoaawQpEMFKDt3aal7bPFxCZQKjsYp8YfUNriZ9t2DMk3KSu/YacR5glzxnIuFlw9
 JONC+HTVcID1ReYVHEokTU6GzKL3wcQAvXf3vRyYD046HTA3DrF8BVtP8+HkNeLr/UiK
 oXug==
X-Gm-Message-State: AOAM530xzIiI4mAWCPDMIpVPalI+IpZ6jO8ukWGJoEUGHu/OXk1ucExV
 FEjDIxMNbt2il+YLhw16VFqwtscWLv8=
X-Google-Smtp-Source: ABdhPJx6HeSAj26Grvt9wVC4Ks3KvWJjjDz8gFIhjXJNCFeY7qwHDdpHogASNczxIbbC+JhU/ICEmQ==
X-Received: by 2002:a05:6402:b4d:b0:425:ec4a:a37e with SMTP id
 bx13-20020a0564020b4d00b00425ec4aa37emr9083472edb.292.1651939883222; 
 Sat, 07 May 2022 09:11:23 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 e15-20020a50e44f000000b0042617ba63c7sm3769813edm.81.2022.05.07.09.11.22
 for <55302 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 07 May 2022 09:11:22 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 7 May 2022 11:47:45 +0200
Subject: [PATCH 4/4] gnu: wine-staging: Update to 7.8.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: 55302 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <7d524bedc294858d9a6c3f84069482d1b8f2fd1f.camel@HIDDEN>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/wine.scm (wine-staging-patchset-data): Update
 to 7.8. (wine-staging, wine64-staging)[arguments]: Reuse arguments from wine
 and wine64 respectively via substitute-keyword-arguments. <#:p [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.208.66 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (liliana.prikler[at]gmail.com)
 1.1 DATE_IN_PAST_06_12     Date: is 6 to 12 hours before Received: date
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55302
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

* gnu/packages/wine.scm (wine-staging-patchset-data): Update to 7.8.
(wine-staging, wine64-staging)[arguments]: Reuse arguments from wine and
wine64 respectively via substitute-keyword-arguments.
<#:phases>: Rename ‘patch-source-wine-staging’ to
‘apply-wine-staging-patches’.
Reorder, so that ‘patch-SHELL’ is applied afterwards.
Drop trailing #t.
---
 gnu/packages/wine.scm | 170 +++++++-----------------------------------
 1 file changed, 29 insertions(+), 141 deletions(-)

diff --git a/gnu/packages/wine.scm b/gnu/packages/wine.scm
index 1ab9153f84..231366c5de 100644
--- a/gnu/packages/wine.scm
+++ b/gnu/packages/wine.scm
@@ -339,7 +339,7 @@ (define-public wine-minimal
 (define-public wine-staging-patchset-data
   (package
     (name "wine-staging-patchset-data")
-    (version "6.6")
+    (version "7.8")
     (source
      (origin
        (method git-fetch)
@@ -348,7 +348,7 @@ (define-public wine-staging-patchset-data
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0d5m9pvafr0iw99ny7rgzfmw7zw45q5wfcw68zj88mvzs47xkgms"))))
+        (base32 "02rgpymhqrdr3aamvv6yvpgh82rj1n4adr36mi26cs3zbkx8zb55"))))
     (build-system trivial-build-system)
     (native-inputs
      (list bash coreutils))
@@ -398,7 +398,7 @@ (define-public wine-staging
                              "wine-" wine-version ".tar.xz"))
          (file-name (string-append name "-" wine-version ".tar.xz"))
          (sha256
-          (base32 "1bc4zmqpdqs1ncz3qisp8a313pqzi5a31gq1s99ivb60vk325rcr")))))
+          (base32 "1f0r00b6lk59cmpj42b7f2jrd58d7vxfvpp54j7arwjhdg4yjxlg")))))
     (inputs (modify-inputs (package-inputs wine)
               (prepend autoconf ; for autoreconf
                        ffmpeg
@@ -409,54 +409,19 @@ (define-public wine-staging
                        util-linux ; for hexdump
                        wine-staging-patchset-data)))
     (arguments
-     `(#:phases
-       (modify-phases %standard-phases
-         ;; Explicitly set the 32-bit version of vulkan-loader when installing
-         ;; to i686-linux or x86_64-linux.
-         ;; TODO: Add more JSON files as they become available in Mesa.
-         ,@(match (%current-system)
-             ((or "i686-linux" "x86_64-linux")
-              `((add-after 'install 'wrap-executable
-                  (lambda* (#:key inputs outputs #:allow-other-keys)
-                    (let* ((out (assoc-ref outputs "out"))
-                           (icd (string-append out "/share/vulkan/icd.d")))
-                      (mkdir-p icd)
-                      (copy-file (search-input-file inputs
-                                 "/share/vulkan/icd.d/radeon_icd.i686.json")
-                                 (string-append icd "/radeon_icd.i686.json"))
-                      (copy-file (search-input-file inputs
-                                 "/share/vulkan/icd.d/intel_icd.i686.json")
-                                 (string-append icd "/intel_icd.i686.json"))
-                      (wrap-program (string-append out "/bin/wine-preloader")
-                                    `("VK_ICD_FILENAMES" ":" =
-                                      (,(string-append icd
-                                        "/radeon_icd.i686.json" ":"
-                                        icd "/intel_icd.i686.json"))))
-                      #t)))))
-             (_
-              `())
-             )
-         (add-before 'configure 'patch-source-wine-staging
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((source (assoc-ref %build-inputs "source"))
-                    (script (string-append (assoc-ref %build-inputs
-                            "wine-staging-patchset-data")
-                            "/share/wine-staging/patches/patchinstall.sh")))
-               (invoke script (string-append "DESTDIR=" ".") "--all")
-               #t)))
-         (add-after 'configure 'patch-dlopen-paths
-           ;; Hardcode dlopened sonames to absolute paths.
-           (lambda _
-             (let* ((library-path (search-path-as-string->list
-                                   (getenv "LIBRARY_PATH")))
-                    (find-so (lambda (soname)
-                               (search-path library-path soname))))
-               (substitute* "include/config.h"
-                 (("(#define SONAME_.* )\"(.*)\"" _ defso soname)
-                  (format #f "~a\"~a\"" defso (find-so soname))))
-               #t))))
-       ,@(strip-keyword-arguments '(#:phases)
-                                  (package-arguments wine))))
+     (substitute-keyword-arguments (package-arguments wine)
+       ((#:phases phases)
+        #~(modify-phases #$phases
+            (delete 'patch-SHELL)
+            (add-before 'configure 'apply-wine-staging-patches
+              (lambda* (#:key inputs #:allow-other-keys)
+                (invoke (search-input-file
+                         inputs
+                         "/share/wine-staging/patches/patchinstall.sh")
+                        "DESTDIR=."
+                        "--all")))
+            (add-after 'apply-wine-staging-patches 'patch-SHELL
+              (assoc-ref #$phases 'patch-SHELL))))))
     (synopsis "Implementation of the Windows API (staging branch, 32-bit only)")
     (description "Wine-Staging is the testing area of Wine.  It
 contains bug fixes and features, which have not been integrated into
@@ -479,96 +444,19 @@ (define-public wine64-staging
     (inputs (modify-inputs (package-inputs wine-staging)
               (prepend wine-staging)))
     (arguments
-     `(#:make-flags
-       (list "SHELL=bash"
-             (string-append "libdir=" %output "/lib/wine64"))
-       #:phases
-       (modify-phases %standard-phases
-         ;; Explicitly set both the 64-bit and 32-bit versions of vulkan-loader
-         ;; when installing to x86_64-linux so both are available.
-         ;; TODO: Add more JSON files as they become available in Mesa.
-         ,@(match (%current-system)
-           ((or "x86_64-linux")
-             `((add-after 'copy-wine32-binaries 'wrap-executable
-               (lambda* (#:key inputs outputs #:allow-other-keys)
-                 (let* ((out (assoc-ref outputs "out")))
-                   (wrap-program (string-append out "/bin/wine-preloader")
-                                 `("VK_ICD_FILENAMES" ":" =
-                                   (,(string-append (assoc-ref inputs "mesa")
-                                     "/share/vulkan/icd.d/radeon_icd.x86_64.json" ":"
-                                     (assoc-ref inputs "mesa")
-                                     "/share/vulkan/icd.d/intel_icd.x86_64.json" ":"
-                                     (assoc-ref inputs "wine-staging")
-                                     "/share/vulkan/icd.d/radeon_icd.i686.json" ":"
-                                     (assoc-ref inputs "wine-staging")
-                                     "/share/vulkan/icd.d/intel_icd.i686.json"))))
-                   (wrap-program (string-append out "/bin/wine64-preloader")
-                                 `("VK_ICD_FILENAMES" ":" =
-                                   (,(string-append (assoc-ref inputs "mesa")
-                                     "/share/vulkan/icd.d/radeon_icd.x86_64.json"
-                                     ":" (assoc-ref inputs "mesa")
-                                     "/share/vulkan/icd.d/intel_icd.x86_64.json"
-                                     ":" (assoc-ref inputs "wine-staging")
-                                     "/share/vulkan/icd.d/radeon_icd.i686.json"
-                                     ":" (assoc-ref inputs "wine-staging")
-                                     "/share/vulkan/icd.d/intel_icd.i686.json"))))
-                   #t)))))
-           (_
-            `())
-           )
-         (add-before 'configure 'patch-source-wine-staging
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((source (assoc-ref %build-inputs "source"))
-                    (script (string-append (assoc-ref %build-inputs
-                            "wine-staging-patchset-data")
-                            "/share/wine-staging/patches/patchinstall.sh")))
-               (invoke script (string-append "DESTDIR=" ".") "--all")
-               #t)))
-         (add-after 'install 'copy-wine32-binaries
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((wine32 (assoc-ref %build-inputs "wine-staging"))
-                    (out (assoc-ref %outputs "out")))
-               ;; Copy the 32-bit binaries needed for WoW64.
-               (copy-file (string-append wine32 "/bin/wine")
-                          (string-append out "/bin/wine"))
-               ;; Copy the real 32-bit wine-preloader instead of the wrapped
-               ;; version.
-               (copy-file (string-append wine32 "/bin/.wine-preloader-real")
-                          (string-append out "/bin/wine-preloader"))
-               #t)))
-         (add-after 'install 'copy-wine32-libraries
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((wine32 (assoc-ref %build-inputs "wine-staging"))
-                    (out (assoc-ref %outputs "out")))
-               (copy-recursively (string-append wine32 "/lib/wine32")
-                                 (string-append out "/lib/wine32"))
-               #t)))
-         (add-after 'compress-documentation 'copy-wine32-manpage
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((wine32 (assoc-ref %build-inputs "wine-staging"))
-                    (out (assoc-ref %outputs "out")))
-               ;; Copy the missing man file for the wine binary from
-               ;; wine-staging.
-               (copy-file (string-append wine32 "/share/man/man1/wine.1.gz")
-                          (string-append out "/share/man/man1/wine.1.gz"))
-               #t)))
-         (add-after 'configure 'patch-dlopen-paths
-           ;; Hardcode dlopened sonames to absolute paths.
-           (lambda _
-             (let* ((library-path (search-path-as-string->list
-                                   (getenv "LIBRARY_PATH")))
-                    (find-so (lambda (soname)
-                               (search-path library-path soname))))
-               (substitute* "include/config.h"
-                 (("(#define SONAME_.* )\"(.*)\"" _ defso soname)
-                  (format #f "~a\"~a\"" defso (find-so soname))))
-               #t))))
-       #:configure-flags
-       (list "--enable-win64"
-             (string-append "LDFLAGS=-Wl,-rpath=" %output "/lib/wine64"))
-       ,@(strip-keyword-arguments '(#:configure-flags #:make-flags #:phases
-                                    #:system)
-                                  (package-arguments wine-staging))))
+     (substitute-keyword-arguments (package-arguments wine64)
+       ((#:phases phases)
+        #~(modify-phases #$phases
+            (delete 'patch-SHELL)
+            (add-before 'configure 'apply-wine-staging-patches
+              (lambda* (#:key inputs #:allow-other-keys)
+                (invoke (search-input-file
+                         inputs
+                         "/share/wine-staging/patches/patchinstall.sh")
+                        "DESTDIR=."
+                        "--all")))
+            (add-after 'apply-wine-staging-patches 'patch-SHELL
+              (assoc-ref #$phases 'patch-SHELL))))))
     (synopsis "Implementation of the Windows API (staging branch, WoW64
 version)")
     (supported-systems '("x86_64-linux" "aarch64-linux"))))
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55302; Package guix-patches. Full text available.

Message received at 55302 <at> debbugs.gnu.org:


Received: (at 55302) by debbugs.gnu.org; 7 May 2022 16:11:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 12:11:33 2022
Received: from localhost ([127.0.0.1]:52777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnN1p-0006KR-83
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 12:11:33 -0400
Received: from mail-ed1-f68.google.com ([209.85.208.68]:34524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nnN1k-0006JT-1H
 for 55302 <at> debbugs.gnu.org; Sat, 07 May 2022 12:11:29 -0400
Received: by mail-ed1-f68.google.com with SMTP id a21so11788202edb.1
 for <55302 <at> debbugs.gnu.org>; Sat, 07 May 2022 09:11:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=vG5OZWc0JurEGrsCdNiAAx/3Uyrs/GLzaXFoR9yU8y4=;
 b=WhZloC27WiF13A8p1ztCN3VByJbduyh4qQJ8jNldjkLXat+cjyWBQe993hEHZepmti
 wAM2WIVuyO9Zqx6QFjCTXH8Fu5ojdtHYS4rRVIzVhUzReduG30QErGtL4EkM1oisgRc/
 0TQaHQWTYTPNrGDysba1LYsxiHOSldX7ouVTOqslhgraLCGODUxm6n6N9OaxKM2W9oBE
 6FgHrfMGy1cD08mCZpO20GU2ZXJO39/zbmB7bQjAwC9ybNfQiKKJfMGkJiFXMfGygDKl
 yOtBVfE2KAWGMfakz7omN2VtHwINAFTb4GptuPZENlyRcO3K0EPz+A6CL+i3u50Ox95b
 x/7g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=vG5OZWc0JurEGrsCdNiAAx/3Uyrs/GLzaXFoR9yU8y4=;
 b=Ml8ztY7aD+4s9B8VVyYF/B+1ZZKZNykqlfOjRNlkGLd2mfp+2ODrSFj7XC/Yu7buhX
 tTgt57+XuT5zHcS3TUQuPNO3tCXKLtRfWHxJWPnmUFwJRi+4HKESQInZzrjnJA1T6u1l
 WO/zJ3mmbFL/nqT9t3My+9zzxzkph1TBTNC/Ne8IarXXP7utD3JBzVNZqPdVnutjDK1n
 URaSa5cWYEbL1/plSHJoE79G7dr9QyxcvG0FcIGGLuBtkPqHsXaO4usU4+B/zjoA+LCU
 /6DG1+PdACNN1EcjdkDA2EIFlC0ZrndbWscmZWP03YqoXhcchPvSoFq/M2Pn+NdBBde0
 mHNQ==
X-Gm-Message-State: AOAM533AjPemsWHX8YfDDHp9U02bCV2Xgr8HSFr14uqiYRR3m2+fLl7V
 CeidQ/psWwFRcMiQyYdMlQyouFQ4SXY=
X-Google-Smtp-Source: ABdhPJwf13b11d26fr8OIHEfgB38HlfwOvxnNYLzKkXiO3WfqTVVTk2cvCWAr4+g3ncAjS+Qzk3q5Q==
X-Received: by 2002:a05:6402:289a:b0:425:d682:105d with SMTP id
 eg26-20020a056402289a00b00425d682105dmr9315853edb.175.1651939882297; 
 Sat, 07 May 2022 09:11:22 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 e15-20020a50e44f000000b0042617ba63c7sm3769813edm.81.2022.05.07.09.11.21
 for <55302 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 07 May 2022 09:11:21 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 7 May 2022 17:39:25 +0200
Subject: [PATCH 3/4] gnu: wine64: Use new package style.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: 55302 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <e40f762aaa9a1145910e708415ac6d967ff6b1cf.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55302
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/wine.scm (wine64)[arguments]: Convert to list of G-Expessions.
<#:configure-flags,#:make-flags>: Use ‘#$output’ instead of ‘%output’.
<#:phases>: Replace labels with search-input-file.
---
 gnu/packages/wine.scm | 169 ++++++++++++++++++++----------------------
 1 file changed, 79 insertions(+), 90 deletions(-)

diff --git a/gnu/packages/wine.scm b/gnu/packages/wine.scm
index eb71a8caa8..1ab9153f84 100644
--- a/gnu/packages/wine.scm
+++ b/gnu/packages/wine.scm
@@ -219,96 +219,85 @@ (define-public wine64
     (inputs (modify-inputs (package-inputs wine)
               (prepend wine)))
     (arguments
-     `(#:make-flags
-       (list "SHELL=bash"
-             (string-append "libdir=" %output "/lib/wine64"))
-       #:phases
-       (modify-phases %standard-phases
-         ;; Explicitly set both the 64-bit and 32-bit versions of vulkan-loader
-         ;; when installing to x86_64-linux so both are available.
-         ;; TODO: Add more JSON files as they become available in Mesa.
-         ,@(match (%current-system)
-             ((or "x86_64-linux")
-              `((add-after 'copy-wine32-binaries 'wrap-executable
-                  (lambda* (#:key inputs outputs #:allow-other-keys)
-                    (let* ((out (assoc-ref outputs "out")))
-                      (wrap-program (string-append out "/bin/wine-preloader")
-                        `("VK_ICD_FILENAMES" ":" =
-                          (,(string-append
-                             (assoc-ref inputs "mesa")
-                             "/share/vulkan/icd.d/radeon_icd.x86_64.json" ":"
-                             (assoc-ref inputs "mesa")
-                             "/share/vulkan/icd.d/intel_icd.x86_64.json" ":"
-                             (assoc-ref inputs "wine")
-                             "/share/vulkan/icd.d/radeon_icd.i686.json" ":"
-                             (assoc-ref inputs "wine")
-                             "/share/vulkan/icd.d/intel_icd.i686.json"))))
-                      (wrap-program (string-append out "/bin/wine64-preloader")
-                        `("VK_ICD_FILENAMES" ":" =
-                          (,(string-append
-                             (assoc-ref inputs "mesa")
-                             "/share/vulkan/icd.d/radeon_icd.x86_64.json"
-                             ":" (assoc-ref inputs "mesa")
-                             "/share/vulkan/icd.d/intel_icd.x86_64.json"
-                             ":" (assoc-ref inputs "wine")
-                             "/share/vulkan/icd.d/radeon_icd.i686.json"
-                             ":" (assoc-ref inputs "wine")
-                             "/share/vulkan/icd.d/intel_icd.i686.json"))))
-                      #t)))))
-             (_
-              `()))
-         (add-after 'unpack 'patch-SHELL
-           (lambda _
-             (substitute* "configure"
-               ;; configure first respects CONFIG_SHELL, clobbers SHELL later.
-               (("/bin/sh")
-                (which "bash")))))
-         (add-after 'patch-generated-file-shebangs 'patch-makedep
-           (lambda* (#:key outputs #:allow-other-keys)
-             (substitute* "tools/makedep.c"
-               (("output_filenames\\( unix_libs \\);" all)
-                (string-append all
-                               "output ( \" -Wl,-rpath=%s \", so_dir );")))))
-         (add-after 'install 'copy-wine32-binaries
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((wine32 (assoc-ref %build-inputs "wine"))
-                    (out (assoc-ref %outputs "out")))
-               ;; Copy the 32-bit binaries needed for WoW64.
-               (copy-file (string-append wine32 "/bin/wine")
-                          (string-append out "/bin/wine"))
-               ;; Copy the real 32-bit wine-preloader instead of the wrapped
-               ;; version.
-               (copy-file (string-append wine32 "/bin/.wine-preloader-real")
-                          (string-append out "/bin/wine-preloader")))))
-         (add-after 'install 'copy-wine32-libraries
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((wine32 (assoc-ref %build-inputs "wine"))
-                    (out (assoc-ref %outputs "out")))
-               (copy-recursively (string-append wine32 "/lib/wine32")
-                                 (string-append out "/lib/wine32")))))
-         (add-after 'compress-documentation 'copy-wine32-manpage
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((wine32 (assoc-ref %build-inputs "wine"))
-                    (out (assoc-ref %outputs "out")))
-               ;; Copy the missing man file for the wine binary from wine.
-               (copy-file (string-append wine32 "/share/man/man1/wine.1.gz")
-                          (string-append out "/share/man/man1/wine.1.gz")))))
-         (add-after 'configure 'patch-dlopen-paths
-           ;; Hardcode dlopened sonames to absolute paths.
-           (lambda _
-             (let* ((library-path (search-path-as-string->list
-                                   (getenv "LIBRARY_PATH")))
-                    (find-so (lambda (soname)
-                               (search-path library-path soname))))
-               (substitute* "include/config.h"
-                 (("(#define SONAME_.* )\"(.*)\"" _ defso soname)
-                  (format #f "~a\"~a\"" defso (find-so soname))))))))
-       #:configure-flags
-       (list "--enable-win64"
-             (string-append "LDFLAGS=-Wl,-rpath=" %output "/lib/wine64"))
-       ,@(strip-keyword-arguments '(#:configure-flags #:make-flags #:phases
-                                    #:system)
-                                  (package-arguments wine))))
+     (cons*
+      #:make-flags
+      #~(list "SHELL=bash"
+              (string-append "libdir=" #$output "/lib/wine64"))
+      #:phases
+      #~(modify-phases %standard-phases
+          ;; Explicitly set both the 64-bit and 32-bit versions of vulkan-loader
+          ;; when installing to x86_64-linux so both are available.
+          ;; TODO: Add more JSON files as they become available in Mesa.
+          #$@(match (%current-system)
+               ((or "x86_64-linux")
+                `((add-after 'copy-wine32-binaries 'wrap-executable
+                    (lambda* (#:key inputs outputs #:allow-other-keys)
+                      (let* ((out (assoc-ref outputs "out"))
+                             (icd-files (map
+                                         (lambda (basename)
+                                           (search-input-file
+                                            inputs
+                                            (string-append "/share/vulkan/icd.d/"
+                                                           basename)))
+                                         '("radeon_icd.x86_64.json"
+                                           "intel_icd.x86_64.json"
+                                           "radeon_icd.i686.json"
+                                           "intel_icd.i686.json"))))
+                        (wrap-program (string-append out "/bin/wine-preloader")
+                          `("VK_ICD_FILENAMES" ":" = ,icd-files))
+                        (wrap-program (string-append out "/bin/wine64-preloader")
+                          `("VK_ICD_FILENAMES" ":" = ,icd-files)))))))
+               (_
+                `()))
+          (add-after 'unpack 'patch-SHELL
+            (lambda _
+              (substitute* "configure"
+                ;; configure first respects CONFIG_SHELL, clobbers SHELL later.
+                (("/bin/sh")
+                 (which "bash")))))
+          (add-after 'patch-generated-file-shebangs 'patch-makedep
+            (lambda* (#:key outputs #:allow-other-keys)
+              (substitute* "tools/makedep.c"
+                (("output_filenames\\( unix_libs \\);" all)
+                 (string-append all
+                                "output ( \" -Wl,-rpath=%s \", so_dir );")))))
+          (add-after 'install 'copy-wine32-binaries
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (let ((out (assoc-ref %outputs "out")))
+                ;; Copy the 32-bit binaries needed for WoW64.
+                (copy-file (search-input-file inputs "/bin/wine")
+                           (string-append out "/bin/wine"))
+                ;; Copy the real 32-bit wine-preloader instead of the wrapped
+                ;; version.
+                (copy-file (search-input-file inputs "/bin/.wine-preloader-real")
+                           (string-append out "/bin/wine-preloader")))))
+          (add-after 'install 'copy-wine32-libraries
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (let* ((out (assoc-ref %outputs "out")))
+                (copy-recursively (search-input-directory inputs "/lib/wine32")
+                                  (string-append out "/lib/wine32")))))
+          (add-after 'compress-documentation 'copy-wine32-manpage
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (let* ((out (assoc-ref %outputs "out")))
+                ;; Copy the missing man file for the wine binary from wine.
+                (copy-file (search-input-file inputs "/share/man/man1/wine.1.gz")
+                           (string-append out "/share/man/man1/wine.1.gz")))))
+          (add-after 'configure 'patch-dlopen-paths
+            ;; Hardcode dlopened sonames to absolute paths.
+            (lambda _
+              (let* ((library-path (search-path-as-string->list
+                                    (getenv "LIBRARY_PATH")))
+                     (find-so (lambda (soname)
+                                (search-path library-path soname))))
+                (substitute* "include/config.h"
+                  (("(#define SONAME_.* )\"(.*)\"" _ defso soname)
+                   (format #f "~a\"~a\"" defso (find-so soname))))))))
+      #:configure-flags
+      #~(list "--enable-win64"
+              (string-append "LDFLAGS=-Wl,-rpath=" #$output "/lib/wine64"))
+      (strip-keyword-arguments '(#:configure-flags #:make-flags #:phases
+                                 #:system)
+                               (package-arguments wine))))
     (synopsis "Implementation of the Windows API (WoW64 version)")
     (supported-systems '("x86_64-linux" "aarch64-linux"))))
 
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55302; Package guix-patches. Full text available.

Message received at 55302 <at> debbugs.gnu.org:


Received: (at 55302) by debbugs.gnu.org; 7 May 2022 16:11:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 12:11:32 2022
Received: from localhost ([127.0.0.1]:52775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnN1n-0006KJ-N1
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 12:11:32 -0400
Received: from mail-ej1-f67.google.com ([209.85.218.67]:34519)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nnN1j-0006JR-8v
 for 55302 <at> debbugs.gnu.org; Sat, 07 May 2022 12:11:28 -0400
Received: by mail-ej1-f67.google.com with SMTP id g6so19527053ejw.1
 for <55302 <at> debbugs.gnu.org>; Sat, 07 May 2022 09:11:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=Onvo+ag0ZGnArDjAHDJULGVWb8M1glhxuK1QW+KZp+k=;
 b=lG3qsRb+49fLsySTWi9K0ClO5RlIxBB56znYsT1ex62IVkrdu3jD6sQff6j1vPeLeC
 WKwT2qV4gADVPmS60XHabeupD6Mj0E35syj+ZTQ9ejNjO1JHqFNhBMTPg8LiEbI3b0qk
 mFqEuKkAXeX9a/ZFqq9pur/RGfwPbBKprt5ZCxQ8khJFTTxqtzIKhyF1ox4bxPB7BW6G
 LXts/rPK4ya/Y2mMb72AML9Y/rVC3c50n3fSfg/wFu/T15ShaCBN84G/qP14d9ruVoKd
 SmGHwSfbXIIW9H2HW/vP86CGnzPVJM520um5nM3nOgwkP+kOU1TmSh63bQA5zAm6rFtO
 5rGw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=Onvo+ag0ZGnArDjAHDJULGVWb8M1glhxuK1QW+KZp+k=;
 b=h1JZUoLWIWj/+S+U1bVPmWW5BtFKfksGJWZ6M0AQHg/EvhxoWpJ5Dt9AmzcDq+racD
 MFDqka8gpFn5yVU3zUnG7pUQ06Vn6COLeSprljr2W0W7vT/re1rCjQIUZnpDGFouiZ3r
 Jlf6yjCHmecn9NUxzQZi9QVcOLjHtKsnUdZ4PfEETR6vlsHCwRsndYzccwbPKFXO7q68
 PfNhe42mW1ZkVa8cEl4Sc2EZqPvTZJzBl9HgNw/pf9F49l4jjwn9RYe9r5gl1OEIt9cx
 sWlaWyx7+jxlrHHTTwkMxCqOuqn2fSHs4HL4sw35FgzZt+1mEdIv5LIG5r9ui+CPEDJo
 qAEw==
X-Gm-Message-State: AOAM533HGgqre9z0sryHd+1xAMbmYoHg2OU40S+8zfIJGLCymmVarPqF
 1q7J7QvicTcJxjvfYBScqimcrhfGqSY=
X-Google-Smtp-Source: ABdhPJxj0QUttKkj9y1skXqKQmT00hz5+1mRKSx/5Z9/884KDuRLSE+j1kmp7TOwEq+Dry+CRqY7OQ==
X-Received: by 2002:a17:906:1f52:b0:6f4:ebc2:da82 with SMTP id
 d18-20020a1709061f5200b006f4ebc2da82mr8021853ejk.176.1651939881605; 
 Sat, 07 May 2022 09:11:21 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 e15-20020a50e44f000000b0042617ba63c7sm3769813edm.81.2022.05.07.09.11.20
 for <55302 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 07 May 2022 09:11:21 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 7 May 2022 17:36:07 +0200
Subject: [PATCH 2/4] gnu: wine: Use new package style.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: 55302 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <dc83124706abb4f70ae22b3277594c4901cbd57e.camel@HIDDEN>
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/wine.scm (wine)[inputs, native-inputs]: Drop
    labels. [arguments]: Convert to list of G-Expressions. <#:configure-flags,#:make-flags>:
    Replace ‘%output’ with ‘#$output’. <#:phase [...] 
 
 Content analysis details:   (1.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.218.67 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.218.67 listed in wl.mailspike.net]
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55302
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

* gnu/packages/wine.scm (wine)[inputs, native-inputs]: Drop labels.
[arguments]: Convert to list of G-Expressions.
<#:configure-flags,#:make-flags>: Replace ‘%output’ with ‘#$output’.
<#:phases>: Use ‘search-input-file’ instead of input labels.
---
 gnu/packages/wine.scm | 187 +++++++++++++++++++++---------------------
 1 file changed, 92 insertions(+), 95 deletions(-)

diff --git a/gnu/packages/wine.scm b/gnu/packages/wine.scm
index 5d8e9f5b90..eb71a8caa8 100644
--- a/gnu/packages/wine.scm
+++ b/gnu/packages/wine.scm
@@ -6,6 +6,7 @@
 ;;; Copyright © 2017, 2020 Nicolas Goaziou <mail@HIDDEN>
 ;;; Copyright © 2018–2021 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2019 Pierre Neidhardt <mail@HIDDEN>
+;;; Copyright © 2022 Liliana Marie Prikler <liliana.prikler@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -25,6 +26,7 @@
 (define-module (gnu packages wine)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
+  #:use-module (guix gexp)
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix utils)
@@ -89,118 +91,113 @@ (define-public wine
         (base32 "1f0r00b6lk59cmpj42b7f2jrd58d7vxfvpp54j7arwjhdg4yjxlg"))))
     (build-system gnu-build-system)
     (native-inputs
-     `(("bison" ,bison)
-       ("flex" ,flex)
-       ("gettext" ,gettext-minimal)
-       ("perl" ,perl)
-       ("pkg-config" ,pkg-config)))
+     (list bison flex gettext-minimal perl pkg-config))
     (inputs
      ;; Some libraries like libjpeg are now compiled into native PE objects.
      ;; The ELF objects provided by Guix packages are of no use.  Whilst this
      ;; is technically bundling, it's quite defensible.  It might be possible
      ;; to build some of these from Guix PACKAGE-SOURCE but attempts were not
      ;; fruitful so far.  See <https://www.winehq.org/announce/7.0>.
-     `(("alsa-lib" ,alsa-lib)
-       ("dbus" ,dbus)
-       ("cups" ,cups)
-       ("eudev" ,eudev)
-       ("fontconfig" ,fontconfig)
-       ("freetype" ,freetype)
-       ("gnutls" ,gnutls)
-       ("gst-plugins-base" ,gst-plugins-base)
-       ("libgphoto2" ,libgphoto2)
-       ("libldap" ,openldap)
-       ("libnetapi" ,samba)
-       ("libsane" ,sane-backends)
-       ("libpcap" ,libpcap)
-       ("libusb" ,libusb)
-       ("libICE" ,libice)
-       ("libX11" ,libx11)
-       ("libXi" ,libxi)
-       ("libXext" ,libxext)
-       ("libXcursor" ,libxcursor)
-       ("libXrender" ,libxrender)
-       ("libXrandr" ,libxrandr)
-       ("libXinerama" ,libxinerama)
-       ("libXxf86vm" ,libxxf86vm)
-       ("libXcomposite" ,libxcomposite)
-       ("mit-krb5" ,mit-krb5)
-       ("openal" ,openal)
-       ("pulseaudio" ,pulseaudio)
-       ("sdl2" ,sdl2)
-       ("unixodbc" ,unixodbc)
-       ("v4l-utils" ,v4l-utils)
-       ("vkd3d" ,vkd3d)
-       ("vulkan-loader" ,vulkan-loader)))
+     (list alsa-lib
+           cups
+           dbus
+           eudev
+           fontconfig
+           freetype
+           gnutls
+           gst-plugins-base
+           libgphoto2
+           openldap
+           samba
+           sane-backends
+           libpcap
+           libusb
+           libice
+           libx11
+           libxi
+           libxext
+           libxcursor
+           libxrender
+           libxrandr
+           libxinerama
+           libxxf86vm
+           libxcomposite
+           mit-krb5
+           openal
+           pulseaudio
+           sdl2
+           unixodbc
+           v4l-utils
+           vkd3d
+           vulkan-loader))
     (arguments
-     `(;; Force a 32-bit build targeting a similar architecture, i.e.:
-       ;; armhf for armhf/aarch64, i686 for i686/x86_64.
-       #:system ,@(match (%current-system)
-                    ((or "armhf-linux" "aarch64-linux")
-                     `("armhf-linux"))
-                    (_
-                     `("i686-linux")))
+     (list
+      ;; Force a 32-bit build targeting a similar architecture, i.e.:
+      ;; armhf for armhf/aarch64, i686 for i686/x86_64.
+      #:system (match (%current-system)
+                 ((or "armhf-linux" "aarch64-linux") "armhf-linux")
+                 (_ "i686-linux"))
 
        ;; XXX: There's a test suite, but it's unclear whether it's supposed to
        ;; pass.
        #:tests? #f
 
        #:configure-flags
-       (list (string-append "LDFLAGS=-Wl,-rpath=" %output "/lib/wine32"))
+       #~(list (string-append "LDFLAGS=-Wl,-rpath=" #$output "/lib/wine32"))
 
        #:make-flags
-       (list "SHELL=bash"
-             (string-append "libdir=" %output "/lib/wine32"))
+       #~(list "SHELL=bash"
+               (string-append "libdir=" #$output "/lib/wine32"))
 
        #:phases
-       (modify-phases %standard-phases
-         ;; Explicitly set the 32-bit version of vulkan-loader when installing
-         ;; to i686-linux or x86_64-linux.
-         ;; TODO: Add more JSON files as they become available in Mesa.
-         ,@(match (%current-system)
-             ((or "i686-linux" "x86_64-linux")
-              `((add-after 'install 'wrap-executable
-                  (lambda* (#:key inputs outputs #:allow-other-keys)
-                    (let* ((out (assoc-ref outputs "out"))
-                           (icd (string-append out "/share/vulkan/icd.d")))
-                      (mkdir-p icd)
-                      (copy-file (string-append
-                                  (assoc-ref inputs "mesa")
-                                  "/share/vulkan/icd.d/radeon_icd.i686.json")
-                                 (string-append icd "/radeon_icd.i686.json"))
-                      (copy-file (string-append
-                                  (assoc-ref inputs "mesa")
-                                  "/share/vulkan/icd.d/intel_icd.i686.json")
-                                 (string-append icd "/intel_icd.i686.json"))
-                      (wrap-program (string-append out "/bin/wine-preloader")
-                        `("VK_ICD_FILENAMES" ":" =
-                          (,(string-append icd
-                                           "/radeon_icd.i686.json" ":"
-                                           icd "/intel_icd.i686.json")))))))))
-             (_
-              `()))
-         (add-after 'unpack 'patch-SHELL
-           (lambda _
-             (substitute* "configure"
-               ;; configure first respects CONFIG_SHELL, clobbers SHELL later.
-               (("/bin/sh")
-                (which "bash")))))
-         (add-after 'configure 'patch-dlopen-paths
-           ;; Hardcode dlopened sonames to absolute paths.
-           (lambda _
-             (let* ((library-path (search-path-as-string->list
-                                   (getenv "LIBRARY_PATH")))
-                    (find-so (lambda (soname)
-                               (search-path library-path soname))))
-               (substitute* "include/config.h"
-                 (("(#define SONAME_.* )\"(.*)\"" _ defso soname)
-                  (format #f "~a\"~a\"" defso (find-so soname)))))))
-         (add-after 'patch-generated-file-shebangs 'patch-makedep
-           (lambda* (#:key outputs #:allow-other-keys)
-             (substitute* "tools/makedep.c"
-               (("output_filenames\\( unix_libs \\);" all)
-                (string-append all
-                               "output ( \" -Wl,-rpath=%s \", so_dir );"))))))))
+       #~(modify-phases %standard-phases
+           ;; Explicitly set the 32-bit version of vulkan-loader when installing
+           ;; to i686-linux or x86_64-linux.
+           ;; TODO: Add more JSON files as they become available in Mesa.
+           #$@(match (%current-system)
+                ((or "i686-linux" "x86_64-linux")
+                 `((add-after 'install 'wrap-executable
+                     (lambda* (#:key inputs outputs #:allow-other-keys)
+                       (let* ((out (assoc-ref outputs "out"))
+                              (icd (string-append out "/share/vulkan/icd.d")))
+                         (mkdir-p icd)
+                         (copy-file (search-input-file
+                                     inputs
+                                     "/share/vulkan/icd.d/radeon_icd.i686.json")
+                                    (string-append icd "/radeon_icd.i686.json"))
+                         (copy-file (search-input-file
+                                     inputs
+                                     "/share/vulkan/icd.d/intel_icd.i686.json")
+                                    (string-append icd "/intel_icd.i686.json"))
+                         (wrap-program (string-append out "/bin/wine-preloader")
+                           `("VK_ICD_FILENAMES" ":" =
+                             (,(string-append icd
+                                              "/radeon_icd.i686.json" ":"
+                                              icd "/intel_icd.i686.json")))))))))
+                (_
+                 `()))
+           (add-after 'unpack 'patch-SHELL
+             (lambda _
+               (substitute* "configure"
+                 ;; configure first respects CONFIG_SHELL, clobbers SHELL later.
+                 (("/bin/sh")
+                  (which "bash")))))
+           (add-after 'configure 'patch-dlopen-paths
+             ;; Hardcode dlopened sonames to absolute paths.
+             (lambda _
+               (let* ((library-path (search-path-as-string->list
+                                     (getenv "LIBRARY_PATH")))
+                      (find-so (lambda (soname)
+                                 (search-path library-path soname))))
+                 (substitute* "include/config.h"
+                   (("(#define SONAME_.* )\"(.*)\"" _ defso soname)
+                    (format #f "~a\"~a\"" defso (find-so soname)))))))
+           (add-after 'patch-generated-file-shebangs 'patch-makedep
+             (lambda* (#:key outputs #:allow-other-keys)
+               (substitute* "tools/makedep.c"
+                 (("output_filenames\\( unix_libs \\);" all)
+                  (string-append all
+                                 "output ( \" -Wl,-rpath=%s \", so_dir );"))))))))
     (home-page "https://www.winehq.org/")
     (synopsis "Implementation of the Windows API (32-bit only)")
     (description
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55302; Package guix-patches. Full text available.

Message received at 55302 <at> debbugs.gnu.org:


Received: (at 55302) by debbugs.gnu.org; 7 May 2022 16:11:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 12:11:29 2022
Received: from localhost ([127.0.0.1]:52772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnN1k-0006Js-VR
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 12:11:29 -0400
Received: from mail-ed1-f47.google.com ([209.85.208.47]:40580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nnN1i-0006JQ-OA
 for 55302 <at> debbugs.gnu.org; Sat, 07 May 2022 12:11:27 -0400
Received: by mail-ed1-f47.google.com with SMTP id p18so11771070edr.7
 for <55302 <at> debbugs.gnu.org>; Sat, 07 May 2022 09:11:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:content-transfer-encoding:message-id
 :mime-version; bh=NAM52k0CBKNIh2/TGNL9R8uw1H0K1n1mZ4keWFnbrwQ=;
 b=p+XxdIr4QwFynKnBIa9W/6QhRzRPUo4oz9qveiLa2eE4N1em5EWm1npz9UW/LFRgcP
 kOPHzg2kz/r/jw2pvC3vF9uU2Ch2iDqFy+udX+MXJ9nPDyRwN+NQxdRmUEKC+NVj8IXL
 zH9ESY55sm+GWxYW2rheHq+W2PvITKzHEmHfAjNCD04DeqM7nx6f64CDG/TDfqc8WviP
 zYKx4lhwMkfXY0S9akiCMp5/NnM4KBXs/qW44gVIMYl72zvq2GSA9LjQhI/GV8B4R7p2
 ERvfbD+r2jH280WhT2xHCj91osuXpa0jaISYS33bm78IeM3RAoGtv3xz7WTBLGVTnNwE
 FPDQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:content-transfer-encoding
 :message-id:mime-version;
 bh=NAM52k0CBKNIh2/TGNL9R8uw1H0K1n1mZ4keWFnbrwQ=;
 b=YKLXhIMHfR6t7nwFKKh3JNRunojVKtAfPcMG3Zwwh2U2iJTBX/6jROQIWeKESu/BG4
 oN4vp3bXPQqybza0M/4oHIAYE1AiWHNObOyz/QEv+yzhpEp1MqlZJGuGwPENG6/5F1YQ
 n6sPzpKPBBRwv9lGTy5qEsgfdW6UwpDNNU8aJnRqyTNsgWr1Y0j9JSgKPZ+bQraOT6Pp
 7yghyRkhTGiyQCMETZtTglOqF78wzzh7uEZxj9QLrAYvFlLeEE83jScBw2EZOfoVLiIn
 0bZKtEteOaFuCx7kOW1YOdIFCn8UwgA/0wkhd6HRokwWWWqGJid9GmEKX38exqx0N7g1
 sENw==
X-Gm-Message-State: AOAM530vNP58OF4nCpEZfWP6Wi89PD7Hc5duOeHMr4ivgvu5GKNxNl3o
 e7G6F9DoFy/kRX2PsR9JlYQKmm/WVsA=
X-Google-Smtp-Source: ABdhPJyIScRMOL2l2Xvd/xgtS4s1AYz0y+TOqtCx139DouEcKjrwaD13PqaieYBNzYzUhe6O7JaDSw==
X-Received: by 2002:a05:6402:3208:b0:427:d928:e3d2 with SMTP id
 g8-20020a056402320800b00427d928e3d2mr9310788eda.240.1651939880896; 
 Sat, 07 May 2022 09:11:20 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 e15-20020a50e44f000000b0042617ba63c7sm3769813edm.81.2022.05.07.09.11.20
 for <55302 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 07 May 2022 09:11:20 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 7 May 2022 11:46:23 +0200
Subject: [PATCH 1/4] gnu: wine: Update to 7.8.
to: 55302 <at> debbugs.gnu.org
Content-Transfer-Encoding: 7bit
Message-ID: <cb8922add8bef0d07c2e73d8118bc8c345820e99.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/wine.scm (wine): Update to 7.8. ---
 gnu/packages/wine.scm | 4 ++-- 1 file changed, 2 insertions(+),
 2 deletions(-) diff --git a/gnu/packages/wine.scm
 b/gnu/packages/wine.scm index 7ca2b9d0c7..5d8e9f5b90 100644 ---
 a/gnu/packages/wine.scm
 +++ b/gnu/packages/wine.scm @@ -74,7 +74,7 @@ (define-module (gnu packages
 wi [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (liliana.prikler[at]gmail.com)
 1.1 DATE_IN_PAST_06_12     Date: is 6 to 12 hours before Received: date
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.208.47 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.208.47 listed in wl.mailspike.net]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55302
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

* gnu/packages/wine.scm (wine): Update to 7.8.
---
 gnu/packages/wine.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/wine.scm b/gnu/packages/wine.scm
index 7ca2b9d0c7..5d8e9f5b90 100644
--- a/gnu/packages/wine.scm
+++ b/gnu/packages/wine.scm
@@ -74,7 +74,7 @@ (define-module (gnu packages wine)
 (define-public wine
   (package
     (name "wine")
-    (version "7.0")
+    (version "7.8")
     (source
      (origin
        (method url-fetch)
@@ -86,7 +86,7 @@ (define-public wine
               (string-append "https://dl.winehq.org/wine/source/" dir
                              "wine-" version ".tar.xz")))
        (sha256
-        (base32 "0sq8vsr8jf1a8fanh76rq7vyxm8h0cc4ckirjy7v2p08biyy4hsv"))))
+        (base32 "1f0r00b6lk59cmpj42b7f2jrd58d7vxfvpp54j7arwjhdg4yjxlg"))))
     (build-system gnu-build-system)
     (native-inputs
      `(("bison" ,bison)
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55302; Package guix-patches. Full text available.

Message received at 55302 <at> debbugs.gnu.org:


Received: (at 55302) by debbugs.gnu.org; 7 May 2022 16:11:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 12:11:29 2022
Received: from localhost ([127.0.0.1]:52769 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnN1k-0006Jk-9x
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 12:11:28 -0400
Received: from mail-ej1-f68.google.com ([209.85.218.68]:35410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nnN1h-0006JO-Vv
 for 55302 <at> debbugs.gnu.org; Sat, 07 May 2022 12:11:26 -0400
Received: by mail-ej1-f68.google.com with SMTP id ks9so13086134ejb.2
 for <55302 <at> debbugs.gnu.org>; Sat, 07 May 2022 09:11:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=24zmHHz3ifmCkwpN8OZ1mZf4XWTNwhddKuIR+uzzmsA=;
 b=g9cXoHt0IZwSFpLoFgZ06CkaffxA4X4oSOo8TFOkktlOYZDOswLgaYdkLZXf4nr7nD
 wHwnyxxdxop6q6blHtCm6KcSZ4QHQHlrTi0BDBgipfBkv34OP0BRvxrQGSke+wSDH9PU
 +g7cU5us1ehYZMWTIljmb1502vmaGUURZUrMUzIfmsgfwTwul1dulUI0HiKpCulNLif+
 1acV9KBaib+mC1Uk6cwo+ravk6Ej94e/gkLaUwEoahHXaASkMO1wrLP/handqdcdaxO4
 d7H+Dlio9a0cxyU3eAO1NGapjiN2QKLmRHBogNGdTgqcH+vVzJmUoGJEIOgsM8svAY4d
 XFMw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=24zmHHz3ifmCkwpN8OZ1mZf4XWTNwhddKuIR+uzzmsA=;
 b=QKgnL2jScrl/jOrkdN46YuyNa+FBOK04DqycYnimMg7ggSHWn3jZLm2gUJhs4MA8lO
 hSWladmcGOXaabWsRg2XSJr97XrGCL8dH4M26KP6rDQUfvnk3LNGvY6OAX2h21+ktxaV
 0iOk08VfHFXodydo97eQmiCSNHb+2kcVlmafVdJIeqrOHYJWGHooohqMyLylWlNSmIjA
 NOlHEsKh92hjj3BLPj79nSfzKZW1jSuv0Ie9pvZdnWq6RCuMZbLfr6LSYkERk2JlZIYC
 GPUJ4y8/JUtvoJ1nKQmu1mrfjDWAAplRwhrnZe8ihmHSjVadklg+dCRW4wsiQQbf7MSh
 p7/Q==
X-Gm-Message-State: AOAM5325YqB2hnILsFE656B5XdMMO50yVYLiliICP+arZq0bQ9FBiQvR
 wVIhkQXOFjnPqwLgpT+j3QWjLm1sTB0=
X-Google-Smtp-Source: ABdhPJwNsGgc+YUDn/V7CtE4ul6JmhkSVo5cK485PklauRkqArkRUFv4e1392Tqu5Ml4z3T8iE/6sg==
X-Received: by 2002:a17:907:d0c:b0:6f4:a5b9:3799 with SMTP id
 gn12-20020a1709070d0c00b006f4a5b93799mr7867091ejc.732.1651939880113; 
 Sat, 07 May 2022 09:11:20 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 e15-20020a50e44f000000b0042617ba63c7sm3769813edm.81.2022.05.07.09.11.19
 for <55302 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 07 May 2022 09:11:19 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 7 May 2022 17:46:14 +0200
Subject: [PATCH 0/4] Update wine and wine-staging to 7.8
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: 55302 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <845c131ae30134223f213a4dd65a25f79baebc9c.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55302
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Guix,

(sorry for the empty mail, forgot to save the Emacs buffer before sending)

Tobias noted “yesterday” in IRC that the wine-staging package was broken
(see <http://logs.guix.gnu.org/guix/2022-05-07.log#013941> for context
and <https://issues.guix.gnu.org/54257> for the issue), and also that
wine itself was out of date.  Since wine was bumped to 7.8 upstream,
I decided to update both.

Both wine64 and wine64-staging as well as all the intermediate packages
build for me on x86_64 with the following patches, but I did not do any
runtime testing yet.  So while I and others run their blessed test
suites of questionable exes, have fun with those patches :)

Cheers

Liliana Marie Prikler (4):
  gnu: wine: Update to 7.8.
  gnu: wine: Use new package style.
  gnu: wine64: Use new package style.
  gnu: wine-staging: Update to 7.8.

 gnu/packages/wine.scm | 530 ++++++++++++++++--------------------------
 1 file changed, 202 insertions(+), 328 deletions(-)

-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55302; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 May 2022 16:05:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 12:05:33 2022
Received: from localhost ([127.0.0.1]:52754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnMw1-0006AB-6j
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 12:05:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:42678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nnMvz-0006A4-VI
 for submit <at> debbugs.gnu.org; Sat, 07 May 2022 12:05:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36304)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <liliana.prikler@HIDDEN>)
 id 1nnMvw-0006M4-Fq
 for guix-patches@HIDDEN; Sat, 07 May 2022 12:05:30 -0400
Received: from mail-ej1-x641.google.com ([2a00:1450:4864:20::641]:40932)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <liliana.prikler@HIDDEN>)
 id 1nnMvu-00021F-9d
 for guix-patches@HIDDEN; Sat, 07 May 2022 12:05:27 -0400
Received: by mail-ej1-x641.google.com with SMTP id l18so19465729ejc.7
 for <guix-patches@HIDDEN>; Sat, 07 May 2022 09:05:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=ODzgyt3HmP5RK/uhsmsSi8vE4EZG9PYeH8uHj9Dvfkg=;
 b=D3n+mVlPuTwqQG04Tvz4bUt3vuU5Wak9jw+32ElmrMhUzbrvs8VmwY3q+yZ9M+IiF8
 wZKszbtxYGlgNog9XY7ffnzWykXYxK8D79kaGvb7sYHQOlZhrUFTVTEcTp/jL4mwQ5Gx
 GuJk3rtqJCpVOfjOLaV+gJah2LnQroehpaDX/pTRSK1hLRQugml1/W7TJwIRq5aeLU8h
 5mMNq8aQfCb2RnyyNei9nv5a2lt1m5mtlcE31bejXu+wq+inxiDpYf0kSX69RijxviVi
 MiFIZWvQNfAT4h8A6/8oh7gv6t9G8Ztd1Y7Dn6zoCXhYyNyDZ2PGuEgZAhpK25IA+SXC
 GBWA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=ODzgyt3HmP5RK/uhsmsSi8vE4EZG9PYeH8uHj9Dvfkg=;
 b=upxbNlxs0UiTBFCkAqO9HtvtlYzUvsEnAaADc80eOksoH/lvqWK/U991qslY/IaOuP
 0Jb+fr7yxmeln05YTUK94DhzS4Aws1oyuiBgxZVL+n/HAu7oPZYemRrH742VMO9418xv
 FdCpFcG6JsheTwZrB9mHJRei4KrAUJ+6HuxnMNc1mYwSknLIzmOTkxY7FunB2M2Ev8QQ
 SL1Huz51NlEfzX1iunjP2HsDCShJ+nemk7KHizdkwB0j5VzEmqmiPKMdo7oC5AbtaJUa
 J8v66cB695AXMWYeET6W0Hyh9I8UWdOjA25X/OAmiQaWOswf4zzXQZKI5i2knpv55jVo
 2S/w==
X-Gm-Message-State: AOAM533Bl0KttEtMGCA4GNuMMtjqyLzu2QVt4fqqXsl6dHSwpNpCJ3sm
 UDf682Tcdq0hOoRmGnGuIw+IrBRdjoo=
X-Google-Smtp-Source: ABdhPJxFejtu4oOKQ9aF7B/KlrULDuIENIHPEA4mkyFyUqdoDIMPzVwkpdfyA6+8LYEKmuVDTXWEmw==
X-Received: by 2002:a17:907:8a0e:b0:6f5:a48:e04e with SMTP id
 sc14-20020a1709078a0e00b006f50a48e04emr7698274ejc.228.1651939523622; 
 Sat, 07 May 2022 09:05:23 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 rb48-20020a170907693000b006f3ef214e1asm3156325ejc.128.2022.05.07.09.05.22
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 07 May 2022 09:05:23 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 7 May 2022 17:46:14 +0200
Subject: [PATCH 0/4] *** SUBJECT HERE ***
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: guix-patches@HIDDEN
Content-Transfer-Encoding: 7bit
Message-ID: <f9d007eb923c97c8c0de42bbba8ba0d3a5ae47ed.camel@HIDDEN>
Received-SPF: pass client-ip=2a00:1450:4864:20::641;
 envelope-from=liliana.prikler@HIDDEN; helo=mail-ej1-x641.google.com
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 SUBJ_ALL_CAPS=0.5, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

*** BLURB HERE ***

Liliana Marie Prikler (4):
  gnu: wine: Update to 7.8.
  gnu: wine: Use new package style.
  gnu: wine64: Use new package style.
  gnu: wine-staging: Update to 7.8.

 gnu/packages/wine.scm | 530 ++++++++++++++++--------------------------
 1 file changed, 202 insertions(+), 328 deletions(-)

-- 
2.36.0





Acknowledgement sent to Liliana Marie Prikler <liliana.prikler@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#55302; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 20 May 2022 18:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.